phing-tasks-system

# Class: TstampCustomFormat Source Location: /tasks/system/TstampTask.php
### Class Overview
| ### Methods execute setLocale setPattern setProperty
### Class Details [line 102] [ Top ] ### Class Methods ### method execute [line 144]
`void execute( TstampTask $tstamp)`
validate parameter and execute the format. #### Tags:
access: | public
#### Parameters:
TstampTask | $tstamp | reference to task
[ Top ] ### method setLocale [line 134]
`void setLocale( locale $locale)`
The locale used to create date/time string. #### Tags:
access: | public
#### Parameters:
locale | $locale |
[ Top ] ### method setPattern [line 124]
`void setPattern( pattern $pattern)`
The date/time pattern to be used. The values are as defined by the PHP strftime() function. #### Tags:
access: | public
#### Parameters:
pattern | $pattern |
[ Top ] ### method setProperty [line 113]
`void setProperty( propertyName $propertyName)`
The property to receive the date/time string in the given pattern #### Tags:
access: | public
#### Parameters:
propertyName | $propertyName | the name of the property.
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:52:17 +0200 by phpDocumentor 1.4.3